# vim: set ft=spec: -*- rpm-spec -*-

Name: ruby-activeldap
Version: 1.0.1
Release: alt1

Summary: ruby library for object-oriented LDAP interction
Group: Development/Ruby
License: GPL

Url: http://rubyforge.org/projects/ruby-activeldap/

Packager: Ruby Maintainers Team <ruby@packages.altlinux.org>

BuildArch: noarch

Source: %name-%version.tar
Patch: %name-%version-%release.patch

# Automatically added by buildreq on Wed Aug 13 2008 (-bi)
BuildRequires: rpm-build-ruby ruby-gettext-utils ruby-module-etc ruby-module-strscan ruby-racc ruby-tool-rdoc ruby-tool-setup

%add_findreq_skiplist %_datadir/rails/plugins/*/generators/*/templates/*

%description
Ruby/ActiveLDAP is a ruby extension library which provides a clean
objected oriented interface to the Ruby/LDAP library.  It was inspired
by ActivRecord. This is not nearly as clean or as flexible as
ActiveRecord, but it is still trivial to define new objects and
manipulate them with minimal difficulty.

%package -n rails-plugin-active_ldap
Summary: ActiveLdap plugin for Ruby on Rails
Group: Development/Ruby
Requires: %name = %version-%release
PreReq: ruby-railties >= 2.1.0-alt2

%description -n rails-plugin-active_ldap
ActiveLdap plugin for Ruby on Rails.

%package doc
Summary: Documentation files for %name
Group: Documentation

%description doc
Documentation files for %name

%prep
%setup -q
%patch -p1
cp %_datadir/ruby-setup/setup.rb .

rm -f lib/active_ldap/adapter/net_ldap*
rm -f lib/active_ldap/adapter/jndi*

%build
%ruby_config
%ruby_build

%install
%ruby_install
%rdoc lib/

mkdir -p %buildroot%_datadir/rails/plugins
cp -dpR rails/plugin/active_ldap %buildroot%_datadir/rails/plugins/

%find_lang active-ldap

%files -f active-ldap.lang
%doc CHANGES COPYING README TODO
%ruby_sitelibdir/active_ldap*
# HAK HAK HAK to make al-admin work
%exclude %ruby_sitelibdir/active_ldap/get_text/parser.rb

%files -n rails-plugin-active_ldap
%_datadir/rails/plugins/active_ldap

%files doc
%doc examples
%ruby_sitelibdir/active_ldap/get_text/parser.rb
%ruby_ri_sitedir/ActiveLdap

%changelog
* Wed Aug 13 2008 Sir Raorn <raorn@altlinux.ru> 1.0.1-alt1
- [1.0.1]
- RI documentation and examples moved do -doc subpackage
- Packaged Ruby on Rails plugin

* Tue Jul 11 2006 Sir Raorn <raorn@altlinux.ru> 0.7.4-alt1
- [0.7.4]
- Removed patches:
 + alt-search-scope (search scope now configurable, defaults
   to LDAP_SCOPE_ONELEVEL)

* Mon Feb 21 2005 Sir Raorn <raorn@altlinux.ru> 0.5.5-alt1
- [0.5.5]
- Document LDAP::Schema2 extension (prereq'd ruby-ldap)
- URL changed to rubyforge project page
- Set packager to ruby@packages.a.o

* Tue Jan 25 2005 Sir Raorn <raorn@altlinux.ru> 0.5.3-alt1
- [0.5.3]

* Wed Sep 15 2004 Sir Raorn <raorn@altlinux.ru> 0.1.4-alt2
- Fix search scope

* Sat Sep 11 2004 Sir Raorn <raorn@altlinux.ru> 0.1.4-alt1.1
- Rebuilt with new ruby

* Sun Sep 05 2004 Sir Raorn <raorn@altlinux.ru> 0.1.4-alt1
- Built for Sisyphus

